Subject: building clisp on hp pa hpux_09.01

From: [email-masked] (Don Cohen)
Date: Fri, 4 Mar 94 20:45:11 -0800

I'm trying to build clisp-1994-01-07.
My first error was no definition for length32.
The problem seems to be that makemake was not recognizing HP PA.
makemake says:
     # Some shells (A/UX and OSF/1) need the parentheses around "arch" below.
     HSYS=`((arch) 2>/dev/null || uname -m 2>/dev/null) | $tolower` # system name in lowercase
     HSYSOS=`((arch) 2>/dev/null || uname 2>/dev/null) | $tolower` # OS name in lowercase
These lines both produce values of hp700, which seems not to be what's needed.
I've replaced them with
     HSYS=`(uname -m) | $tolower` # system name in lowercase
     HSYSOS=`(uname) | $tolower` # OS name in lowercase
which produces 9000/730 and hp-ux, which seem to work better - at least
it then tries to use arihppa.d

My next problem is that arihppa.d contains lines like
                ADDIL           L'divu_32_rest-$global$,%dp

Since I get errors like this
  lisparit0.d:20032: unterminated string or character constant
that seem to refer to those lines, I gather that the $global$ was
supposed to have been replaced by something ending with a quote.

Any advice?